
%global meadversion 1.0.2
%global namedversion 1.0.2.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-j2eemgmt-api_1.1_spec}
%{!?scl:%global pkg_name %{name}}

%global mavengroup org.jboss.spec.javax.management.j2ee
%global artifact0 jboss-j2eemgmt-api_1.1_spec

%global title JavaEE Management 1.1 API

%define maven_version 1.0.2.Final-redhat-1

Name:           %{?scl_prefix}jboss-j2eemgmt-api_1.1_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        %{title}
Group:          Development/Java

%if %with mead
Source100: jboss-j2eemgmt-api_1.1_spec-1.0.2.Final-redhat-1-scm-sources.zip
Source102: jboss-j2eemgmt-api_1.1_spec-1.0.2.Final-redhat-1.jar
Source103: jboss-j2eemgmt-api_1.1_spec-1.0.2.Final-redhat-1.pom
Source104: jboss-j2eemgmt-api_1.1_spec-1.0.2.Final-redhat-1-project-sources.tar.gz
Source105: jboss-j2eemgmt-api_1.1_spec-1.0.2.Final-redhat-1-sources.jar
Source106: jboss-j2eemgmt-api_1.1_spec-1.0.2.Final-redhat-1-javadoc.jar
%endif

License:        LGPLv2+
URL:            https://github.com/jboss/jboss-j2eemgmt-api_spec/

Obsoletes:      %{?scl_prefix}jboss-j2eemgmt-api_1.1_spec-sources <= 0:%{meadversion}-%{serial}%{meadalpha}%{?dist}

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root

%description
JSR-77 JavaEE Management 1.1 API classes.

%if %with javadoc
%package javadoc
Summary:	Javadoc for %{title}
Group:          Development/Java

Obsoletes:      %{?scl_prefix}jboss-j2eemgmt-api_1.1_spec-sources <= 0:%{meadversion}-%{serial}%{meadalpha}%{?dist}
BuildRequires:  unzip

%description javadoc
API documentation for %{title}.
%endif

%prep
%setup -q -n jboss-j2eemgmt-api_spec -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact0}-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact0}-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact0}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{pkg_name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{artifact0}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{pkg_name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{pkg_name}-%{namedversion}/META-INF
%{__ln_s} %{pkg_name}-%{namedversion} %{buildroot}%{_javadocdir}/%{pkg_name}
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-j2eemgmt-api_1.1_spec
%defattr(0644,root,root,0755)
%doc 
%{_javadir}/%{artifact0}-%{namedversion}.jar
%{_javadir}/%{artifact0}.jar
%if %with javadoc
%{_javadir}/%{artifact0}-%{namedversion}-javadoc.jar
%{_javadir}/%{artifact0}-javadoc.jar
%endif
%{_javadir}/%{artifact0}-%{namedversion}-sources.jar
%{_javadir}/%{artifact0}-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{pkg_name}-%{namedversion}
%{_javadocdir}/%{pkg_name}
%endif

%changelog
* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 1.0.2-1.Final_redhat_1.1
-  1.0.2.Final-redhat-1 for eap 7.2.0

* Wed Jun 17 2015 Lin Gao <lgao@redhat.com> - 1.0.1-7.Final_redhat_4.1
- Rebuild wrapperRPM

* Wed Jun 17 2015 Lin Gao <lgao@redhat.com> - 1.0.1-7.Final_redhat_4.1
- Rebuild wrapperRPM

* Wed Jun 17 2015 Lin Gao <lgao@redhat.com> - 1.0.1-7.Final_redhat_4.1
- Rebuild to use jboss-parent 16.0.0.redhat-1 for EAP7
- Rebuild to use SCL macros in spec file

* Fri Dec 12 2014 Lin Gao <lgao@redhat.com> - 1.0.1-6.Final_redhat_3.1
- Rebuild wrapperRPM

* Fri Dec 12 2014 Lin Gao <lgao@redhat.com> - 1.0.1-6.Final_redhat_3.1
- Rebuild to remove old EAP bom

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-5.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:1.0.1-4.Final_redhat_2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-3.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-3.Final_redhat_1.1
- Rebuild using cache signing

* Tue Jun 12 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-3.Final_redhat_1
- Add Obsoletes for previous sources sub package

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-2.Final_redhat_1
- Remove javadocs from main package
- Remove sources jar RPM and add to main package

* Wed May 02 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.1-1.Final_redhat_1
- Upgrade to 1.0.1.Final

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-4.Final_redhat_1.1.1
- Rebuild using cache signing

* Fri Mar 23 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-4.Final_redhat_1.1
- Upgrade to new wrapper
- Fix jars' installation path

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:1.0.0-3_redhat_1
- Rebuild to use new signing key

* Fri Feb 03 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-2_redhat_1
- fix pom to use new BOM
- rebuild for sign key

* Thu Oct 27 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.0-1_redhat_1
- Build for Werewolf
